body {
    background-color: #2b1a0a;
}

.header {
  margin: 0 auto;
  width: 900px;
  height: 166px;
  background-image: url('../img/header.jpg');
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  justify-content: flex-end;
}

.header-inner {
  width: 320px;
  height: 100px;
  background-color: #000000;
  display: flex;
  align-items: center;
  margin-top: 20px;
  margin-right: 0;
  padding-left: 10px;
}

.header-name {
  color: #e3b291;
  font-size: 2em;
  display: block;
}

.header-title {
  color: #ae8062;
  letter-spacing: 7px;
  font-size: 1.4em;
  display: block;
  margin-top: -12px;
}

.main {
  margin: 0 auto;
  width: 900px;
  background-color: #2b1a0a;
}

.content {
  display: flex;
  flex-direction: column;
}

.content-hatter12 {
  width: 366px;
  height: 890px;
  background-image: url('../img/hatter_12.jpg');
  background-color: #e9cb91;
  background-repeat: no-repeat;
}

.content-hatter03 {
  width: 366px;
  height: 1333px;
  background-image: url('../img/hatter_03.jpg');
  background-color: #e9cb91;
  background-repeat: no-repeat;
}

.content-hatter05 {
  width: 365px;
  height: 810px;
  background-image: url('../img/hatter_05.jpg');
  background-color: #e9cb91;
  background-repeat: no-repeat;
}

.oldal {
  margin: 0 auto;
  width: 900px;
  background-color: #e9cb91;
  display: flex;
  align-items: flex-start;
}

.oldal-bal {
  width: 366px;
}

.oldal-bal2 {
  width: 266px;
}

.oldal-jobb {
  width: 534px;
}

.oldal-jobb2 {
  width: 614px;
}

.oldal-tartalom {
  background-color: #f2e4cb;
  border: 9px solid #c79b67;
  margin-top: 15px;
  margin-right: 35px;
  min-height: 850px;
  display: flex;
  align-items: flex-start;
}

.youtube-tartalom {
  margin-top:20px;
  margin-bottom:20px;
  background-color: #f2e4cb;
  border: 9px solid #c79b67;
}

.oldal-tartalom-belso {
  display: flex;
  background-color: #f2e4cb;
}

.oldal-tartalom-spacer {
  width: 20px;
}

.oldal-tartalom-szoveg {
  width: 450px;
  color: #917339;
  line-height: 160%;
  font-size: 1.0em;
  margin-bottom: 30px;
  margin-top: 30px;
}

.fooldal-menu {
  width: 366px;
  height: 280px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.fooldal-gomb img {
    display: block;
    transition: opacity 0.3s ease;
}

.fooldal-gomb {
    display: inline-block;
    background-image: url("../img/gomb_0000b.jpg");
    background-size: cover;
}

.fooldal-gomb:hover img {
    opacity: 0;
}


.fooldal-gomb-bal img {
    display: block;
    transition: opacity 0.3s ease;
}

.fooldal-gomb-bal {
    display: inline-block;
    background-image: url("../img/gomb_0000b.jpg");
    background-size: cover;
	width: 160px;
    background-color: #c79b67;
    border: 10px solid #c79b67;
	margin-left:90px;
}

.fooldal-gomb-bal:hover img {
    opacity: 0;
}

.fooldal-gomb-tabla {
  width: 160px;
  background-color: #c79b67;
  border: 0px solid #c79b67;
  padding: 9px;
  display: inline-block;
  align-items: center;
  justify-content: center;
}

.galeria {
  display: grid;
  grid-template-columns: repeat(3, 1fr); /* 3 oszlop */
  gap: 9px;
  background-color: #c79b67;
  padding: 9px;
  margin-top: 15px;
  margin-right: 12px;
  position: relative;
  right: 5px;
}

.galeria a {
  display: block;
}

.galeria img {
  width: 100%;
  height: auto;
  display: block;
}

.elerhetoseg-outer {
  float: right;
  width: 534px;
  height: 293px;
  background-image: url('../img/hatter_06.jpg');
  background-color: #e9cb91;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
}

.elerhetoseg-inner {
  width: 300px;
  text-align: center;
  margin-left: 40px;
}

.elerhetoseg-inner span {
  color: #917339;
}

.elerhetoseg-inner::after {
    color: #917339;
	font-weight: bold;
	content: "lérhetőség: budaitr@gmail.com\A Honlapot készítette: ifj. Budai Tibor\A Minden jog fenntartva!\A 2026";
    white-space: pre-line;
}

.szoveg {
  width: 450px;
  background-color: #f2e4cb;
  border: 9px solid #c79b67;
  padding: 20px;
  margin-top: 15px;
  position: relative;
  right: 5px;
  color: #917339;
  line-height: 1.5;
  text-align: justify;
}

.footer {
  margin: 0 auto;
  width: 900px;
  height: 110px;
  background-color: #000000;
  background-image: url('img/footer.png');
  background-repeat: no-repeat;
}